Bug 119247 - net-im/jabberd startup script doesn't use "REQUIRE: mysql" when mysql enabled
net-im/jabberd startup script doesn't use "REQUIRE: mysql" when mysql enabled
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Matuska
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-02 08:00 UTC by mandrews
Modified: 2008-01-06 16:18 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mandrews 2008-01-02 08:00:01 UTC
	The net-im/jabberd port installs /usr/local/etc/rc.d/jabberd with
	a standard "REQUIRE: DAEMON" line.

	net-im/jabberd has numerous storage backend knobs: MySQL, Postgres,
	BDB, SQlite, LDAP, etc.  Enabling a backend that requires a separate
	daemon to be running, including the default MySQL, should add that
	to the REQUIRE: line so that the backend starts before jabberd.

	Currently, jabberd fails to start when the system boots because rcorder
	places mysql-server after jabberd.

Fix: 

Modify files/jabberd.in and the Makefile and whatever else is needed
	to tweak the REQUIRE: line based on the selected storage backend.
	(unless it doesn't need a daemon running, like SQLite or BDB)

	The net/freeradius port has some logic to do this, so that could be
	the basis for creating a patch.  I'm not completely up on all the
	different rcorder keywords so I haven't created a patch myself.
How-To-Repeat: 	Install net-im/jabberd port, configure it with MySQL as the backend,
	and reboot: jabberd will try and fail to start before mysql-server
Comment 1 Edwin Groothuis freebsd_committer 2008-01-02 08:00:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2008-01-03 15:32:46 UTC
mm          2008-01-03 15:32:41 UTC

  FreeBSD ports repository

  Modified files:
    net-im/jabberd       Makefile 
    net-im/jabberd/files jabberd.in 
  Log:
  - Remove optional support for Cyrus SASL (unsupported from 2.1.20) [1]
  - Add support for backend daemon requires to startup script (WITH_REQUIRES) [2]
  - Bump PORTREVISION
  
  PR:             ports/119287 [1], ports/119247 [2]
  Submitted by:   Denis Eremenko [1], Mike Andrews [2]
  
  Revision  Changes    Path
  1.53      +14 -14    ports/net-im/jabberd/Makefile
  1.2       +2 -3      ports/net-im/jabberd/files/jabberd.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Matuska freebsd_committer 2008-01-06 16:18:50 UTC
State Changed
From-To: open->closed

Committed. Thanks!